MODEL
MODEL_VERSION "v1998.8";
DESIGN "HFTbridge";

/* port names and type */
INPUT S:PIN119 = LocAddr<3>;
INPUT S:PIN115 = LocWRITE_b;
INPUT S:PIN121 = LocAddr<1>;
INPUT S:PIN134 = LocAddr<0>;
INPUT S:PIN30 = TTC_CK40Des1;
INPUT S:PIN116 = LocData<0>;
INPUT S:PIN124 = LocData<1>;
INPUT S:PIN129 = LocData<2>;
INPUT S:PIN131 = LocData<3>;
INPUT S:PIN126 = LocData<4>;
INPUT S:PIN125 = LocData<5>;
INPUT S:PIN133 = LocData<6>;
INPUT S:PIN139 = LocData<7>;
INPUT S:PIN132 = LocCS_b;
INPUT S:PIN118 = LocAddr<4>;
INPUT S:PIN136 = LocAddr<5>;
INPUT S:PIN138 = LocAddr<6>;
INPUT S:PIN120 = LocAddr<2>;
INPUT S:PIN128 = ConfigDone1;
INPUT S:PIN112 = ConfigInit1;
TRIOUT S:PIN15 = ConfigClk;
TRIOUT S:PIN13 = FlashData<0>;
TRIOUT S:PIN74 = FlashData<1>;
TRIOUT S:PIN4 = FlashData<2>;
TRIOUT S:PIN7 = FlashData<3>;
TRIOUT S:PIN34 = FlashData<4>;
TRIOUT S:PIN60 = FlashData<5>;
TRIOUT S:PIN39 = FlashData<6>;
TRIOUT S:PIN10 = FlashData<7>;
TRIOUT S:PIN91 = ConfigProg1;
OUTPUT S:PIN68 = FlashAddr<0>;
OUTPUT S:PIN140 = FlashAddr<10>;
OUTPUT S:PIN79 = FlashAddr<11>;
OUTPUT S:PIN94 = FlashAddr<12>;
OUTPUT S:PIN110 = FlashAddr<13>;
OUTPUT S:PIN113 = FlashAddr<14>;
OUTPUT S:PIN103 = FlashAddr<15>;
OUTPUT S:PIN81 = FlashAddr<16>;
OUTPUT S:PIN97 = FlashAddr<17>;
OUTPUT S:PIN41 = FlashAddr<18>;
OUTPUT S:PIN130 = FlashAddr<19>;
OUTPUT S:PIN83 = FlashAddr<1>;
OUTPUT S:PIN19 = FlashAddr<20>;
OUTPUT S:PIN142 = FlashAddr<2>;
OUTPUT S:PIN86 = FlashAddr<3>;
OUTPUT S:PIN106 = FlashAddr<4>;
OUTPUT S:PIN88 = FlashAddr<5>;
OUTPUT S:PIN50 = FlashAddr<6>;
OUTPUT S:PIN52 = FlashAddr<7>;
OUTPUT S:PIN54 = FlashAddr<8>;
OUTPUT S:PIN57 = FlashAddr<9>;
OUTPUT S:PIN135 = Flash1CE_b;
OUTPUT S:PIN137 = Flash1OE_b;
OUTPUT S:PIN100 = ConfigCS1;
OUTPUT S:PIN59 = Flash1WE_b;
OUTPUT S:PIN117 = ConfigWr_b;

/* timing arc definitions */
LocCS_b_Flash1CE_b_delay: DELAY LocCS_b Flash1CE_b;
LocCS_b_Flash1OE_b_delay: DELAY LocCS_b Flash1OE_b;
LocCS_b_Flash1WE_b_delay: DELAY LocCS_b Flash1WE_b;
LocCS_b_FlashAddr<0>_delay: DELAY LocCS_b FlashAddr<0>;
LocCS_b_FlashAddr<10>_delay: DELAY LocCS_b FlashAddr<10>;
LocCS_b_FlashAddr<11>_delay: DELAY LocCS_b FlashAddr<11>;
LocCS_b_FlashAddr<12>_delay: DELAY LocCS_b FlashAddr<12>;
LocCS_b_FlashAddr<13>_delay: DELAY LocCS_b FlashAddr<13>;
LocCS_b_FlashAddr<14>_delay: DELAY LocCS_b FlashAddr<14>;
LocCS_b_FlashAddr<15>_delay: DELAY LocCS_b FlashAddr<15>;
LocCS_b_FlashAddr<16>_delay: DELAY LocCS_b FlashAddr<16>;
LocCS_b_FlashAddr<17>_delay: DELAY LocCS_b FlashAddr<17>;
LocCS_b_FlashAddr<18>_delay: DELAY LocCS_b FlashAddr<18>;
LocCS_b_FlashAddr<19>_delay: DELAY LocCS_b FlashAddr<19>;
LocCS_b_FlashAddr<1>_delay: DELAY LocCS_b FlashAddr<1>;
LocCS_b_FlashAddr<20>_delay: DELAY LocCS_b FlashAddr<20>;
LocCS_b_FlashAddr<2>_delay: DELAY LocCS_b FlashAddr<2>;
LocCS_b_FlashAddr<3>_delay: DELAY LocCS_b FlashAddr<3>;
LocCS_b_FlashAddr<4>_delay: DELAY LocCS_b FlashAddr<4>;
LocCS_b_FlashAddr<5>_delay: DELAY LocCS_b FlashAddr<5>;
LocCS_b_FlashAddr<6>_delay: DELAY LocCS_b FlashAddr<6>;
LocCS_b_FlashAddr<7>_delay: DELAY LocCS_b FlashAddr<7>;
LocCS_b_FlashAddr<8>_delay: DELAY LocCS_b FlashAddr<8>;
LocCS_b_FlashAddr<9>_delay: DELAY LocCS_b FlashAddr<9>;
TTC_CK40Des1_ConfigClk_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 ConfigClk;
TTC_CK40Des1_FlashData<0>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<0>;
TTC_CK40Des1_FlashData<1>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<1>;
TTC_CK40Des1_FlashData<2>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<2>;
TTC_CK40Des1_FlashData<3>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<3>;
TTC_CK40Des1_FlashData<4>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<4>;
TTC_CK40Des1_FlashData<5>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<5>;
TTC_CK40Des1_FlashData<6>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<6>;
TTC_CK40Des1_FlashData<7>_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 FlashData<7>;
TTC_CK40Des1_ConfigProg1_delay: DELAY (ENABLE_HIGH) TTC_CK40Des1 ConfigProg1;
TTC_CK40Des1_FlashAddr<0>_delay: DELAY TTC_CK40Des1 FlashAddr<0>;
TTC_CK40Des1_FlashAddr<10>_delay: DELAY TTC_CK40Des1 FlashAddr<10>;
TTC_CK40Des1_FlashAddr<11>_delay: DELAY TTC_CK40Des1 FlashAddr<11>;
TTC_CK40Des1_FlashAddr<12>_delay: DELAY TTC_CK40Des1 FlashAddr<12>;
TTC_CK40Des1_FlashAddr<13>_delay: DELAY TTC_CK40Des1 FlashAddr<13>;
TTC_CK40Des1_FlashAddr<14>_delay: DELAY TTC_CK40Des1 FlashAddr<14>;
TTC_CK40Des1_FlashAddr<15>_delay: DELAY TTC_CK40Des1 FlashAddr<15>;
TTC_CK40Des1_FlashAddr<16>_delay: DELAY TTC_CK40Des1 FlashAddr<16>;
TTC_CK40Des1_FlashAddr<17>_delay: DELAY TTC_CK40Des1 FlashAddr<17>;
TTC_CK40Des1_FlashAddr<18>_delay: DELAY TTC_CK40Des1 FlashAddr<18>;
TTC_CK40Des1_FlashAddr<19>_delay: DELAY TTC_CK40Des1 FlashAddr<19>;
TTC_CK40Des1_FlashAddr<1>_delay: DELAY TTC_CK40Des1 FlashAddr<1>;
TTC_CK40Des1_FlashAddr<20>_delay: DELAY TTC_CK40Des1 FlashAddr<20>;
TTC_CK40Des1_FlashAddr<2>_delay: DELAY TTC_CK40Des1 FlashAddr<2>;
TTC_CK40Des1_FlashAddr<3>_delay: DELAY TTC_CK40Des1 FlashAddr<3>;
TTC_CK40Des1_FlashAddr<4>_delay: DELAY TTC_CK40Des1 FlashAddr<4>;
TTC_CK40Des1_FlashAddr<5>_delay: DELAY TTC_CK40Des1 FlashAddr<5>;
TTC_CK40Des1_FlashAddr<6>_delay: DELAY TTC_CK40Des1 FlashAddr<6>;
TTC_CK40Des1_FlashAddr<7>_delay: DELAY TTC_CK40Des1 FlashAddr<7>;
TTC_CK40Des1_FlashAddr<8>_delay: DELAY TTC_CK40Des1 FlashAddr<8>;
TTC_CK40Des1_FlashAddr<9>_delay: DELAY TTC_CK40Des1 FlashAddr<9>;
TTC_CK40Des1_Flash1CE_b_delay: DELAY TTC_CK40Des1 Flash1CE_b;
TTC_CK40Des1_Flash1OE_b_delay: DELAY TTC_CK40Des1 Flash1OE_b;
TTC_CK40Des1_ConfigCS1_delay: DELAY TTC_CK40Des1 ConfigCS1;
TTC_CK40Des1_Flash1WE_b_delay: DELAY TTC_CK40Des1 Flash1WE_b;

/* timing check arc definitions */

ENDMODEL
